Bug 268103 - "The project tool collection does not equal to real compiler" window appears
"The project tool collection does not equal to real compiler" window appears
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project Discovery
Dev
PC Other
: P3 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-19 18:11 UTC by soldatov
Modified: 2016-12-14 08:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2016-09-19 18:11:05 UTC
CMakeLists.txt:
===================================
project(Test)
cmake_minimum_required(VERSION 2.8)
set(SRC main.cpp)
add_definitions(-DAAA=1)
add_executable(Test ${SRC})

main.cpp:
===================================
#if AAA != 1
# error AAA != 1
#endif

int main() {
    return 0;
}

Platform: Windows 10
Compiler: MinGW

Scenario:
- Call "C/C++ Project with Existing Sources" wizard
- Press Next button
- Select folder with CMakeLists.txt
==> "Use Build Analyzer" check box is switched on
- Press Finish button
==> IDE builds project, but "The project tool collection does not equal to real compiler" window appears
Comment 1 Alexander Simon 2016-11-15 12:32:09 UTC
fixed in enum, branch release82, change set 92efaf8d3770
Comment 2 Quality Engineering 2016-11-23 03:19:04 UTC
Integrated into 'main-silver', will be available in build *201611230001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/dbd7a137f9b8
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #268103 "The project tool collection does not equal to real compiler" window appears
(transplanted from 92efaf8d37707aec3f73a4951f9faf79dd3cec04)
Comment 3 soldatov 2016-12-12 10:17:24 UTC
I see this dialog window on Cygwin test machine.
Comment 4 soldatov 2016-12-14 08:55:07 UTC
Verified in NetBeans IDE 8.2 (Build 201612122312)

This fix doesn't resolve all my problems with this dialog, therefore I created issue 269327.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo